// pages/project/add/add.js
import * as UTIL from '../../../utils/util.js';
import * as API from '../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    showStartTime:false,
    showEndTime:false,
    ynProjcetStatusOptions:[],
    form:{},
    id:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if(options.id!=null&&options.id!=""){
      let that = this
      this.setData({id:options.id})
      UTIL.httpRequest(API.URL_GET_PROJECTGET + this.data.id, {method:'GET'}, {
        success: (res) => {
          //汇票类型
          UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'yn_projcet_status', {method:'GET'}, {
            success: (rr) => {
              this.setData({
                ynProjcetStatusOptions:rr.data
              });
              this.data.ynProjcetStatusOptions.map(r => {
                if(r.dictValue == res.data.ynProjcetStatus){
                    res.data.ynProjcetStatusText = r.dictLabel
                    that.setData({'form':res.data});
                }
              })
            }
          })
        }
      })
    }else{
      UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'yn_projcet_status', {method:'GET'}, {
        success: (res) => {
          this.setData({
            ynProjcetStatusOptions:res.data
          });
        }
      })
    }
    
  },

  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  closeBox(even){
    this.setData({
      [even.currentTarget.dataset.name]:false
    })
  },
  openBox(even){
    this.setData({
      [even.currentTarget.dataset.name]:true
    })
  },
  onConfirmTime(event){
    this.setData({
      [event.currentTarget.dataset.name]: false,
      [event.currentTarget.dataset.value]: UTIL.formatDate(event.detail),
    });
  },
  onConfirmYn(event) {
    this.setData({
      [event.currentTarget.dataset.name]: false,
      [event.currentTarget.dataset.value]: event.detail.value.dictValue,
      [event.currentTarget.dataset.value+'Text']: event.detail.value.dictLabel,
    });
  },
  goSubmit(){
    if(this.data.form.projectName===''||this.data.form.projectName==null){ //项目名称
      UTIL.showToastNoneIcon('请填写项目名称！');
      return false;
    }else if(this.data.form.projectContractor===''||this.data.form.projectContractor==null){  //合同承建方
      UTIL.showToastNoneIcon('请输入合同承建方！');
      return false;
    }else if(this.data.form.startTime===''||this.data.form.startTime==null){  //开工日期
      UTIL.showToastNoneIcon('请选择开工日期！');
      return false;
    }else if(this.data.form.endTime===''||this.data.form.endTime==null){  //竣工日期
      UTIL.showToastNoneIcon('请输入竣工日期！');
      return false;
    }else if(this.data.form.projectAmount === ''||this.data.form.projectAmount==null){//合共价款
      UTIL.showToastNoneIcon('请输入收票单位！');
      return false;
    }else if(this.data.form.ynProjcetStatus === ''||this.data.form.ynProjcetStatus==null){//工程状态
      UTIL.showToastNoneIcon('工程状态不能为空！');
      return false;
    }else{
      var that = this ;
    let data = that.data.form;
    data.method = 'POST';
    if(that.data.form.id==""||that.data.form.id==null){
      UTIL.httpRequest(API.URL_GET_PROJECTADD, data, {
        success: (res) => {
          wx.showToast({
            title: "新增成功！",
            duration: 2000,
            icon:"success"
          })
          setTimeout(function(){
            wx.navigateBack({
              delta:1
            })
          },2000)
        }
      })
    }else{
      UTIL.httpRequest(API.URL_POST_PROJECTUPDATE, data, {
        success: (res) => {
          wx.showToast({
            title: "修改成功！",
            duration: 2000,
            icon:"success"
          })
          setTimeout(function(){
            wx.navigateBack({
              delta:1
            })
          },2000)
        }
      })
    }
    
    }
    
  },
  onChange(event){
    this.setData({
      [event.currentTarget.dataset.value]: event.detail,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})